@font-face {
    font-family: 'Niveau Grotesk Regular';
    font-style: normal;
    font-weight: normal;
    src: local('Niveau Grotesk Regular'), url('../fonts/NiveauGroteskR.woff') format('woff');
}

body, html {
    scroll-behavior: smooth;
    font-family: Niveau Grotesk Regular, sans-serif;
    text-align: left;
}

.half-page {
    width: 100vw;
    height: 50vh;
    display: flex;
    align-items: center;
    text-align: center;

}

header {
    top: 0;
    z-index: 1000;
}

.logo {
    height: 4.5rem;
}

.logo-image {
    max-height: 100px;
    transition: all 1s ease-in-out;
}

.footer-logo {
    height: 50px;
}

.bg-gray {
    background-color: #DDDDDD;
}

.h1-text {
    font-size: 7rem;
    text-align: left;
    margin: 0;
    padding: 0;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(0);
    }
    to {
        opacity: 1;
        transform: translateY(-20px);
    }
}

.fade-in-effect {
    animation-name: fadeIn;
    animation-duration: 3s;
    animation-fill-mode: forwards;
    opacity: 0;
}


.expanded {
    height: 80vh !important;
    flex-direction: column !important;
    justify-content: center !important;
}

.expanded .logo-image {
    max-height: 80%;
}

.hide-title {
    opacity: 0;
}

.contact-title {
    font-family: Niveau Grotesk Regular, sans-serif;
    font-size: 4.5rem;
    line-height: 4.5rem;
    animation: slideDown 0.5s ease-out forwards;
    text-align: left;
}

.arrow-img {
    height: 4rem;
}

.contact-text {
    font-family: Niveau Grotesk Regular, sans-serif;
    color: #999999;
    text-align: left;
}

.contact-text-span {
    color: #000000;
    font-family: Niveau Grotesk Regular, sans-serif;
    font-weight: 600;
    font-size: 2.1rem;
    line-height: 2.5rem;
}

.contact-logo {
    height: 35vh;
}

.horizontal-line {
    width: 100%;
    height: 4px;
    background-color: #FF6000;
    bottom: 0;
    left: 0;
}

.logo-page {
    height: 40vh;
    color: #ffffff;
    transition: height 0.8s ease;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    z-index: 999;
}

.rounded-10 {
    border-radius: 4rem;
}

.slide-down-cubic {
    opacity: 1;
    animation: text-clip 0.75s 0s cubic-bezier(0.5, 0, 0.1, 1) both;
}

@keyframes text-clip {
    from {
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }
    to {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }
}


@keyframes textSlideDown {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.slide-up {
    animation: slideUp 0.5s ease-out forwards;
}

.slide-down {
    animation: slideDown 0.5s ease-out forwards;
}

@keyframes slideUp {
    from {
        transform: translateY(40%);
        opacity: 0;
    }
    to {
        transform: translateY(0%);
        opacity: 1;
    }
}

@keyframes slideDown {
    from {
        transform: translateY(-40%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.bg-change {
    background: #8C01F0;
    animation: color-wave 5s infinite;
}

@keyframes color-wave {
    0% {
        background: #FF0199;
    }
    30% {
        background: #FF6002;
    }
    60% {
        background: #8C01F0;
    }
    100% {
        background: #FF0199;
    }
}

.crown {
    height: 35vh;
}

.fun-in {
    font-size: 12rem;
    color: #ffffff;
    text-align: left;
    font-family: Niveau Grotesk Regular, sans-serif;
    line-height: 11rem;
}

.fun-in-span {
    font-size: 12.1rem;
    font-family: Niveau Grotesk Regular, sans-serif;
    font-weight: 600;
}

.bg-pink {
    background-color: #FF008E;
}

.bg-purple {
    background-color: #8C00F0;
}

.bg-orange {
    background-color: #FF6000;
}

.bg-dark-blue {
    background-color: #101038;
}

.about-span {
    color: #DDDDDD;
    font-family: Niveau Grotesk Regular, sans-serif;
    font-weight: 600;
}

.about-text {
    font-size: 2.75rem;
    line-height: 3rem;
    text-align: left;
    color: #101038;
}

.mission-text {
    font-size: 6rem;
    line-height: 5.75rem;
    text-align: left;
    color: #101038;
}

.portfolio-text {
    color: #ffffff;
    font-size: 5rem;
}

.squares {
    height: 35rem;
    width: 35rem;
    background-color: #DDDDDD;
    border-radius: 3rem;
    position: relative;
    overflow: hidden;
}


.squares-title {
    color: #ffffff;
    font-size: 2rem;
    margin-bottom: 2.5rem;
    margin-left: 2rem;
    position: absolute;
    bottom: 10px;
    left: 10px;
    background-color: rgba(255, 255, 255, 0.5);
    padding: 5px 10px;
    border-radius: 5px;
}

.square-content {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.squares-img {
    height: 100%; /* Container'a tam olarak sığdır */
    width: 100%;
    object-fit: cover; /* Görseli bozulmadan sığdır */
    display: block; /* Varsayılan boşlukları kaldırır */
}

.arrows {
    height: 4rem;
    margin-right: 4rem;
}

.video-caption {
    position: absolute;
    bottom: 3rem;
    left: 3rem;
    color: white;
    background: rgba(0, 0, 0, 0.7);
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 2rem;
}

.home_video_section {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ytp-layer {
    width: 100%;
    max-height: 50rem;
    border-radius: 4rem;
}


.footer-text {
    font-size: 1.2rem;
}

.footer-text-link {
    color: inherit;
    text-decoration: none;
    display: inline-block;
    font-size: 1.2rem;
}

.footer-text-link:hover {
    font-weight: bold;
}

.footer-text-link[href*="instagram"]:hover {
    color: #C13584; /* Instagram karakteristik pembe */
}

.footer-text-link[href*="linkedin"]:hover {
    color: #0077b5; /* LinkedIn mavi */
}

.footer-text-link[href*="youtube"]:hover {
    color: #FF0000; /* YouTube kırmızı */
}

.footer-text-link[href*="tiktok"]:hover {
    color: #000000; /* TikTok siyah */
}

.footer-text-link[href*="x.com"]:hover {
    color: #222222; /* X.com için özel bir renk */
}


@media (max-width: 768px) {
    .h1-text {
        font-size: 4rem;
    }

    .contact-title {
        font-size: 2rem;
        line-height: 2.1rem;
    }

    .logo-page {
        height: 30vh;
    }

    .logo-image {
        height: 20vh;
    }

    .logo, .footer-logo {
        height: 50px;
    }

    .fun-in {
        font-size: 6.5rem;
        line-height: 7rem;
    }

    .fun-in-span {
        font-size: 6.6rem;
    }

    .about-text {
        font-size: 1.5rem;
        line-height: 1.90rem;
    }

    .mission-text {
        font-size: 2rem;
        line-height: 2.4rem;
    }

    .portfolio-text {
        font-size: 3rem;
    }

    .squares {
        height: 20rem;
        width: 20rem;
    }

    .contact-logo {
        height: 15vh;
    }

    .crown {
        width: 100%;
        height: 100%;
    }

    .video-caption {
        font-size: 2rem;
    }

    .footer-text {
        font-size: 1.4rem;
    }

    .video-show {
        height: 50vh;
    }

    .nav-link.active {
        padding-left: 10px;
    }

    .arrows {
        height: 2.5rem;
        margin-right: 2rem;
    }

    .ytp-layer {
        min-height: 15rem;
    }

    .arrow-img {
        height: 2rem;
    }
    .contact-text-span{
        font-size: 1.6rem;
        line-height: 1.7rem;
    }
}

@media (max-width: 992px) {
    .h1-text {
        font-size: 3rem;
    }

    .about-text {
        font-size: 1.5rem;
        line-height: 1.90rem;
    }

    .mission-text {
        font-size: 3rem;
        line-height: 2.8rem;
    }
}

@media (min-width: 992px) and (max-width: 1366px) {
    .h1-text {
        font-size: 5.75rem;
    }

    .about-text {
        font-size: 2.2rem;
        line-height: 2.4rem;
    }

    .mission-text {
        font-size: 5rem;
        line-height: 5.4rem;
    }

    .portfolio-text {
        font-size: 4rem;
    }
}

@media (min-width: 1366px) and (max-width: 1440px) {
    .about-text {
        font-size: 2.5rem;
        line-height: 3rem;
    }

    .mission-text {
        font-size: 5rem;
        line-height: 5.4rem;
    }

    .portfolio-text {
        font-size: 4rem;
    }
}

.navbar {
    background-color: #DDDDDD;
    border-bottom: 2px solid var(--bs-orange);
}

.navbar-brand img {
    height: 50px;
}

.nav-link {
    color: var(--bs-black);
    font-weight: bold;
}

.nav-link.active {
    background-color: var(--bs-orange);
    color: #ffffff;
    border-radius: 5px;
}

.navbar-toggler {
    border-color: var(--bs-orange);
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(0, 0, 0, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

@media (min-width: 992px) {
    .navbar {
        padding-top: 0;
        padding-bottom: 0;
    }
}

@keyframes textSlideUp {
    from {
        transform: translateY(100%); /* Başlangıçta yukarıdan 100% aşağıda başlar */
        opacity: 0;
    }
    to {
        transform: translateY(0%); /* Bitişte yerine oturur */
        opacity: 1;
    }
}

@keyframes textSlideUp {
    from {
        transform: translateY(-100%); /* Başlangıçta yukarıdan gelen animasyon */
        opacity: 0;
    }
    to {
        transform: translateY(0%); /* Normal konuma gelmesi */
        opacity: 1;
    }
}

.TextAnimateUp_word {
    white-space: pre;
    animation: textSlideUp 0.8s cubic-bezier(0, 0.55, 0.45, 1) forwards; /* Animasyon süresi ve gecikme */
}

@keyframes textSlideDown {
    from {
        transform: translateY(-100%);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }
    to {
        transform: translateY(0);
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }
}

.text-animate-word {
    display: inline-block;
    overflow: hidden;
    vertical-align: top;
}

.text-animate-letter {
    display: inline-block;
    transform: translateY(-100%);
    opacity: 0;
    animation: textSlideDown 0.8s cubic-bezier(0, 0.55, 0.45, 1) forwards;
    animation-delay: calc(var(--char-index) * 0.05s);
}

.full-page {
    width: 100vw;
    min-height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    justify-content: space-around;
    position: relative;
    height: 100vh;
    overflow: hidden;
}

.video-container {
    position: fixed;
    left: 50%;
    top: 70%;
    transform: translate(-50%, -50%);
    width: 80vw;
    height: 40vh;
    z-index: 1000;
    overflow: hidden;
    transition: all 0.5s ease;
    border-radius: 5rem;
}

.video-show {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
}

header.fixed-top {
    transition: top 0.3s;
}

.header-hidden {
    top: -100px; /* header yüksekliğine göre ayarla */
}
